<?php
//kaç tane gösterileceğini girin
//gösterilecek sayfa numarasını alma
$page= guvenlik(@$_GET['sayfa']);
//sayfa numarası kontrolü
if(empty($page) || !is_numeric($page)){$page=1;}

 
//toplam kayıt sayısını alma
$SQL = "SELECT COUNT(*) as Toplam FROM kategoriler";
$islem = @mysql_query($SQL);
$ToplamKayit = mysql_fetch_array($islem);
$count = $ToplamKayit['Toplam'];
$perpage = 15;
$deger = $page*$perpage;
$nedir = $deger-15;
$lastP = ceil(($count / $perpage));

 //kayıtları listeleme işlemi
?>
<?
$id = @$_GET["id"]; 
 if (isset($_GET['id'])) {?>
<div class="yanyana">
<h3 class="anabaslik">Kategorileri düzenleme ve silme sayfası</h3>
<div class="formlar">


<?php


$sql = "DELETE FROM kategoriler WHERE id= '$id' ";
$result = mysql_query ($sql) or die (mysql_error());

if ($id == "" ) {
	
echo '<div class="uyar error"><img src="images/icon/errors.png"><span>Hata...</span></div>' ; }

 else if ( mysql_query( $sql ) ) {
      echo '<div class="uyar basarili"><img src="images/icon/basarili.png"><span>Kategori Başarı İle Silindi</span></div>
';
    
  }
  
  else {  
      echo '<div class="uyar error"><img src="images/icon/errors.png"><span>Sorgu Hata verdi...</span></div>';
  }	
?>

</div>
</div>
<? } ?>



<? #kategori düzenle ?>


<? if (@$_GET['update']=="katupdate"){  include 'inc/katupdate.php'; }   ?>


<?php
$idk = @$_GET["idkat"];
extract($_POST);
	if (isset($idk))
	{ 
?>

<div class="yanyana">
<h3 class="anabaslik">Kategori Düzenle</h3>
<div class="formlar">



<? $sqlk = "SELECT * FROM kategoriler WHERE id='$idk'";
$resultk = mysql_query ($sqlk) or die (mysql_error());
$gosterk = mysql_fetch_array($resultk) ;
		?>
<form action="index.php?ekle=katekle&update=katupdate" method="POST" enctype="multipart/form-data">
 <input name="id2" type="hidden" value="<?php echo $gosterk['id']; ?>" />
<div class=""><li class="sol_li">Kategori Adı<span>:</span></li><input name="katadii" class="input inp5" value="<?=$gosterk['kat_adi'];?>"></div>

<div class=""><li class="sol_li">Kategori Açıklama<span>:</span></li><input name="kataciklamai" class="input inp5" value="<?=$gosterk['kat_aciklama'];?>" ></div>

<div class=""><li class="sol_li">Kategori Anahtar Kelimeler<span>:</span></li><input name="kkeywordss" class="input inp5" value="<?=$gosterk['kat_keywords'];?>"></div>

<div class="yolla">
<input name="submits" type="submit" class="button" value="Kaydet"> <input name="Reset" type="reset" class="button" value="Sıfırla"> 
</div>

</form>
</div>
</div>

<? }?>



<div class="yanyana">
<h3 class="anabaslik">Tüm Yorumlar</h3> 
<div class="formlar">
<div class="tablo">
<li class="no"><b><input name="checkall" onclick="checkUncheckAll(this);" type="checkbox" /></b></li>
<li class="no"><b>id</b></li>
<li class="durum"><b>Kategoriler</b></li>
<li class="baslik"><b></b></li>
<li class="islem"><b>İşlemler</b></li>
<div class="temizle"></div>
</div>
<div class="tablo2">

<? $sql = "SELECT * FROM kategoriler Limit $nedir,$perpage ";
$result = mysql_query ($sql) or die (mysql_error());
while ($goster = mysql_fetch_array($result)) {

?> 

<div class="satir">
<li class="no"><input type="checkbox" name="option1" ></li>
<li class="no"><?=$goster['id'];?></li>
<li class="durum"><a href="<?=$siteadresi;?>kategori-<?=seo($goster['kat_adi']); ?><?="-"?><?=$goster['id']?>.html" title="<?=$goster['kat_adi'];  ?>" style="color:#900" target="_blank"><?=$goster['kat_adi'];?></a></li>
<li class="baslik">&nbsp;</li>

<li class="islem">
<li class="edit"><a href="index.php?ekle=katekle&sayfa=<?=$page;?>&idkat=<?=$goster['id'];?>" class="button icon edit">Düzenle</a></li>
<li class="sil"> <a onclick="return confirm('Kategoriyi Sil?')" href="index.php?ekle=katekle&sayfa=<?=$page;?>&id=<?=$goster['id'];?>" class="button icon remove danger">Sil</a></li>
</li>
<div class="temizle"></div>
</div>
<? } ?>

   <?  
  if($count > $perpage) :
  $x = 4;
  $lastP = ceil(($count / $perpage));
  for($i=1; $i>=$page; $i--) {}
   ?>




<div class="sayfala">
<a href="index.php?ekle=katekle&sayfa=<?=$page-1;?>" class="button icon arrowleft danger">Geri</a>

 <?php 

  // sayfa 1'i yazdýr
  if($page==1) echo "<a href=index.php?ekle=katekle&sayfa=1 class=button>1</a>&nbsp;";
  
  else echo "<a href=index.php?ekle=katekle&sayfa=1 class=button>1</a>&nbsp;";
  if($page-$x > 5) {
    echo " <a href=# class=button>...</a>";
    $i = $page-$x;
  } else {
    $i = 2;
  }
  // +/- $x sayfalarý yazdýr
  for($i; $i<=$page+$x; $i++) {
    if($i==$page) 
	echo "<a href=# class=button> $i </a>&nbsp;"; 
    else 
	echo "<a href=index.php?ekle=katekle&sayfa=$i class=button>$i</a> ";
    if($i==$lastP) break;
  }
  // "..." veya son sayfa
  if($page+$x < $lastP-1) {
    echo "<a href=# class=button>...</a>";
    echo " <a href=index.php?ekle=katekle&sayfa=$lastp class=button>$lastP</a>";
  } elseif($page+$x == $lastP-1) {
    echo " <a href=index.php?ekle=katekle&sayfa=$lastP class=button>$lastP</a>";
  }

  endif;
  
    // sonraki sayfa
	
  for($i=1; $i<=$page; $i++) {
    if($i==$lastP)
	 break;
  }
?>

<a href="index.php?ekle=katekle&sayfa=<?=$i;?>" class="button icon arrowright danger">ileri</a>
</div>
<div class="toplam">Sistemde Toplam <b><?=$count?></b> içerik bulunuyor...</div>
</div></div>

</div>